"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FaroTraceExporter = void 0;
var core_1 = require("@opentelemetry/core");
var internal_1 = require("@opentelemetry/otlp-transformer/build/src/trace/internal");
var faroTraceExporter_utils_1 = require("./faroTraceExporter.utils");
var FaroTraceExporter = /** @class */ (function () {
    function FaroTraceExporter(config) {
        this.config = config;
    }
    FaroTraceExporter.prototype.export = function (spans, resultCallback) {
        var traceEvent = (0, internal_1.createExportTraceServiceRequest)(spans, { useHex: true, useLongBits: false });
        this.config.api.pushTraces(traceEvent);
        (0, faroTraceExporter_utils_1.sendFaroEvents)(traceEvent.resourceSpans);
        resultCallback({ code: core_1.ExportResultCode.SUCCESS });
    };
    FaroTraceExporter.prototype.shutdown = function () {
        return Promise.resolve(undefined);
    };
    return FaroTraceExporter;
}());
exports.FaroTraceExporter = FaroTraceExporter;
//# sourceMappingURL=faroTraceExporter.js.map